/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.Cliente;
import com.rjconsultores.ventaboletos.entidad.Empresa;

public interface ClienteService extends GenericService<Cliente, Integer> {

	public List<Cliente> buscar(String nombCliente);

	public Cliente buscarPorNumeroFidelidade(String numeroFidelidade, Empresa empresa);

	public List<Cliente> buscarPorDocumento(String documento);
	
	public Cliente buscarPorNumeroFidelidade(String numeroFidelidade);
}
